Bug 211678 - mkdumprd should abort when it finds bad kdump location
mkdumprd should abort when it finds bad kdump location
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-20 15:11 EDT by Akira Imamura
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 12:17:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This patch based on -104.el5 can fix the problem (1.40 KB, patch)
2006-10-20 15:14 EDT, Akira Imamura
no flags Details | Diff

  None (edit)
Description Akira Imamura 2006-10-20 15:11:52 EDT
Description of problem:
mkdumprd should abort when it finds bad kdump location.

Version-Release number of selected component (if applicable):
kexec-tools-1.101-104.el5

How reproducible:
Always

Steps to Reproduce:
1. Specify a name of SSH server that doesn't really exist, in kdump.conf.
2. Run "service kdump restart"
3.
  
Actual results:
kdump service shows "Bad kdump location" as a warning, but starts up.

Expected results:
kdump service shows "Bad kdump location" as a warning, and then fails to
start up.

Additional info:
Comment 1 Akira Imamura 2006-10-20 15:14:19 EDT
Created attachment 139021 [details]
This patch based on -104.el5 can fix the problem
Comment 2 Neil Horman 2006-10-20 15:17:07 EDT
I think its easier just to change the continue to an exit 1
Comment 3 Akira Imamura 2006-10-20 15:24:28 EDT
Sure. The way you said is easier than the patch I worked on.

Thanks,
Akira
Comment 4 Neil Horman 2006-10-20 15:51:21 EDT
fixed in -105.el5.  Thanks!
Comment 5 Jay Turner 2007-02-13 12:17:28 EST
kexec-tools-1.101-164.el5 included in 20070208.0.

Note You need to log in before you can comment on or make changes to this bug.